Package org.springframework.security.config.annotation.web.configurers.oauth2.server.resource

# Class OAuth2ResourceServerConfigurer.OpaqueTokenConfigurer

java.lang.Object
org.springframework.security.config.annotation.web.configurers.oauth2.server.resource.OAuth2ResourceServerConfigurer.OpaqueTokenConfigurer

Enclosing class:
  OAuth2ResourceServerConfigurer<H extends HttpSecurityBuilder<H>>

public class OAuth2ResourceServerConfigurer.OpaqueTokenConfigurer extends Object

## Method Summary

Modifier and Type
Method
Description
`OAuth2ResourceServerConfigurer<H>.OpaqueTokenConfigurer`
`authenticationConverter(org.springframework.security.oauth2.server.resource.introspection.OpaqueTokenAuthenticationConverter authenticationConverter)`
`OAuth2ResourceServerConfigurer<H>.OpaqueTokenConfigurer`
`authenticationManager(org.springframework.security.authentication.AuthenticationManager authenticationManager)`
`OAuth2ResourceServerConfigurer<H>.OpaqueTokenConfigurer`
`introspectionClientCredentials(String clientId, String clientSecret)`
`OAuth2ResourceServerConfigurer<H>.OpaqueTokenConfigurer`
`introspectionUri(String introspectionUri)`
`OAuth2ResourceServerConfigurer<H>.OpaqueTokenConfigurer`
`introspector(org.springframework.security.oauth2.server.resource.introspection.OpaqueTokenIntrospector introspector)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### authenticationManager

public OAuth2ResourceServerConfigurer<H>.OpaqueTokenConfigurer authenticationManager(org.springframework.security.authentication.AuthenticationManager authenticationManager)

### introspectionUri

public OAuth2ResourceServerConfigurer<H>.OpaqueTokenConfigurer introspectionUri(String introspectionUri)

### introspectionClientCredentials

public OAuth2ResourceServerConfigurer<H>.OpaqueTokenConfigurer introspectionClientCredentials(String clientId, String clientSecret)

### introspector

public OAuth2ResourceServerConfigurer<H>.OpaqueTokenConfigurer introspector(org.springframework.security.oauth2.server.resource.introspection.OpaqueTokenIntrospector introspector)

### authenticationConverter

public OAuth2ResourceServerConfigurer<H>.OpaqueTokenConfigurer authenticationConverter(org.springframework.security.oauth2.server.resource.introspection.OpaqueTokenAuthenticationConverter authenticationConverter)